from distutils.core import setup
from setuptools import find_packages
import glob
setup(
    name='jenkins-launchpad-plugin',
    version='0.1',
    url='https://launchpad.net/jenkins-launchpad-plugin',
    packages=find_packages(),
    include_package_data=True,
    data_files=[('templates', glob.glob('templates/*.j2'))],
    test_suite='tests',
    entry_points="""\
          [console_scripts]
          autoland = jlp.commands.autoland:autoland
          dput = jlp.commands.dput:dput
          getMergeProposals = jlp.commands.getMergeProposals:getMergeProposals
          launchpadTrigger = jlp.commands.launchpadTrigger:launchpadTrigger
          voteOnMergeProposal = \
              jlp.commands.voteOnMergeProposal:voteOnMergeProposal
    """,
)
